For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Documents

get_xray

GET
https://api.groundx.ai/api/v1/ingest/document/xray/:documentId
GET
/api/v1/ingest/document/xray/:documentId
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.documents.get_xray(
8 document_id="documentId",
9)
1{
2 "documentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "xrayData": {
4 "summary": "This document contains a detailed analysis of quarterly sales performance.",
5 "keywords": [
6 "sales",
7 "quarterly report",
8 "performance",
9 "analysis"
10 ],
11 "entities": [
12 {
13 "type": "Organization",
14 "name": "Acme Corporation"
15 },
16 {
17 "type": "Date",
18 "value": "2024-04-01"
19 }
20 ],
21 "sentiment": "positive",
22 "pageCount": 12,
23 "language": "en"
24 }
25}

Look up X-Ray data for an existing document by documentId.

Was this page helpful?
Previous

search.content

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

documentIdstringRequiredformat: "uuid"

The documentId of the document for which GroundX created an X-Ray.

Response

Look up success

Errors

400
Bad Request Error
401
Unauthorized Error